diff --git a/lib/libutils/isoc/bget.c b/lib/libutils/isoc/bget.c
index b29e13ea3f7..6de0b09112f 100644
--- a/lib/libutils/isoc/bget.c
+++ b/lib/libutils/isoc/bget.c
@@ -480,6 +480,12 @@ extern char *sprintf();               /* Sun includes don't define sprintf */
 #include <ctype.h>
 #endif
 
+#ifdef __KERNEL__
+#ifdef CFG_CORE_BGET_BESTFIT
+#define BestFit 1
+#endif
+#endif
+
 /*  Declare the interface, including the requested buffer size type,
     bufsize.  */
 
diff --git a/mk/config.mk b/mk/config.mk
index d92c33a2d78..e0c050a8c04 100644
--- a/mk/config.mk
+++ b/mk/config.mk
@@ -219,6 +219,10 @@ CFG_TA_DYNLINK ?= y
 # Enable paging, requires SRAM, can't be enabled by default
 CFG_WITH_PAGER ?= n
 
+# BestFit algorithm in bget reduces the fragmentation of the heap when running
+# with the pager enabled.
+CFG_CORE_BGET_BESTFIT ?= $(CFG_WITH_PAGER)
+
 # Use the pager for user TAs
 CFG_PAGED_USER_TA ?= $(CFG_WITH_PAGER)
 
